---
title: Libretro Mednafen_VB
description: 
published: true
date: 2024-07-24T20:44:12.237Z
tags: libretro, mednafen, virtual boy, vb
editor: markdown
dateCreated: 2021-08-03T19:47:34.873Z
---



## ![](/emulators/license.svg) License

This core is under [**GPLv2**](https://github.com/libretro/beetle-vb-libretro/blob/master/COPYING) license.

## ![](/emulators/compatibility.png) Compatibility

| RPI0/RPI1 | RPI3 | RPI4/RPI400 | RPI5 | ODROID XU4 | OGA/OGS/RG351 | PC | RG353 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
| ✅ | ✅ | ✅ | ✅ | ✅ | ✅ | ✅ | ✅ |

## ![](/emulators/features.png) Features

| Feature | Supported |
| :---: | :---: |
| Restart  | ✔ |
| Screenshots | ✔ |
| Saves | ✔ |
| States | ✔ |
| Rewind | ✔ |
| Netplay | ✔ (not link-cable emulation) |
| Core Options | ✔ |
| RetroAchievements | ✔ |
| Controls | ✔ |
| Remapping | ✔ |
| Crop Overscan | ✔ |

## ![](/emulators/bios.svg) BIOS

>**No bios is required.**
{.is-success}

## ![](/emulators/roms.png) Roms

### Supported extensions

Roms must have the extension:

* .bin
* .vb
* .zip
* .7z

This system supports compressed roms in .zip/.7z format. However, be careful, it is only an archive.

The files contained in the .zip/.7z must correspond to the extensions mentioned above.
Moreover, each .zip/.7z file must contain only one compressed rom.

### Location

Put the roms like this:

┣ 📁 recalbox
┃ ┣ 📁 share
┃ ┃ ┣ 📁 roms
┃ ┃ ┃ ┣ 📁 virtualboy
┃ ┃ ┃ ┃ ┣ 🗒 **game.zip**

>The roms using **No-Intro** format are highly recommended.
{.is-success}

>For more information about roms, go to [this tutorial](./../../../tutorials/games/generalities/isos-and-roms)!
{.is-info}

## ![](/emulators/advanced-configuration.png) Advanced configuration of the emulator

>To be able to keep your custom configurations during an upgrade, we advise you to use our [configuration override](./../../../advanced-usage/configuration-override) feature.
{.is-info}

### Accessing to options

You can configure various options in two different ways.

* Via RetroArch menu:

┣ 📁 RetroArch Menu
┃ ┣ 📁 Core options
┃ ┃ ┣ 🧩 Name_option

* Via the file `retroarch-core-options.cfg`:

┣ 📁 recalbox
┃ ┣ 📁 share
┃ ┃ ┣ 📁 system
┃ ┃ ┃ ┣ 📁 configs
┃ ┃ ┃ ┃ ┣ 📁 retroarch
┃ ┃ ┃ ┃ ┃ ┣ 📁 cores
┃ ┃ ┃ ┃ ┃ ┃ ┣ 🧩 **retroarch-core-options.cfg**

### Core options

| Options | Options values | Variables (for configuration override) | Variables values |
| --- | --- | --- | --- |
| 3D mode | `anaglyph` / `cyberscope` ✅ / `side-by-side` / `vli` / `hli` | `vb_3dmode` | `anaglyph` / `cyberscope` / `side-by-side` / `vli` / `hli` |
| Anaglyph preset | `disabled` ✅ / `red & blue` / `red & cyan` / `red & electric cyan` / `green & magenta` / `yellow & blue` | `vb_anaglyph_preset` | `disabled` / `red & blue` / `red & cyan` / `red & electric cyan` / `green & magenta` / `yellow & blue` |
| Palette | `black & red` ✅ / `black & white` / `black & blue` / `black & cyan` / `black & electric cyan` / `black & green` / `black & magenta` / `black & yellow` | `vb_color_mode` | `black & red` / `black & white` / `black & blue` / `black & cyan` / `black & electric cyan` / `black & green` / `black & magenta` / `black & yellow` |
| Right analog to digital | `Disabled` ✅ / `Enabled` / `invert x` / `invert y` / `invert both` | `vb_right_analog_to_digital` | `disabled` / `enabled` / `invert x` / `invert y` / `invert both` |
| CPU emulation (Restart) | `accurate` ✅ / `fast` | `vb_cpu_emulation` | `accurate` / `fast` |

## ![](/emulators/external-links.png) External links

* **Source code used**: [https://github.com/libretro/beetle-vb-libretro/](https://github.com/libretro/beetle-vb-libretro/)
* **Libretro documentation**: [https://docs.libretro.com/library/beetle_vb/](https://docs.libretro.com/library/beetle_vb/)